Subject: Re: bug#13582: [PATCH] stat: add ext4 to the ext2/ext3 list

From: Bob Proulx <[email-masked]>
Date: Mon, 28 Jan 2013 23:46:54 -0700

Mike Frysinger wrote:
> Since ext4 returns the same info as ext2/ext3, add it to the list.
> This fixes the output of running `stat -f / -c %T` on my system that
> has an ext4 rootfs.
> 
> * src/stat.c (human_fstype): Add "ext4" to the S_MAGIC_EXT2 and
> FSTYPE_EXT2FS cases.

Previous discussion (wow, three years ago now):

  http://lists.gnu.org/archive/html/bug-coreutils/2009-02/msg00160.html

Bob